---
name: Feature request
about: Suggest new functionality to be implemented in the package
---

## Target functionality

> Describe the functionality that you would like implemented. Link possible
> implementations or methodological descriptions, and datasets that can be used
> to test the new functionality.
>
> Explain how the enhancement combines with the rest of the package (e.g., if
> it is complementary to some existing features), and possibly refer to a
> use-case that is going to be benefited by the implementation.

## Desired output

> Write a (pseudo)code example that explains how you would like the feature to
> work.  Suggest what would be a desirable output (e.g., type, data layout,
> ...) of your pseudocode.

## Optional: Suggestions for implementation

> Feel free to point out viable ways to add the functionality. If there are
> more implementation alternatives, feel free to point out advantages and
> disadvantages.
>
> If you have a code that implements the feature (at least partially or with
> problems), you may want to share it by opening a pull request instead -- it
> is easier to work on and enhance an existing code piece than starting from
> scratch.
